# Installation

## Installation du serveur Nextcloud

## Installation des applications

Accéder au tableau des applications par le menu.

![](nextcloud-francois-menu-applications.png)

Dans le tableau des applications, il est possible de voir les applications installées, les applications activées ou non, les mises à jour disponibles ainsi que le catalogue d'applications disponibles par catégorie.

![](nextcloud-francois-tableau-applications.png)

## Mise à jour des applications

Vous pouvez mettre à jour les applications individuellement ou en lot

![Boutons de mise à jour des applications](nextcloud-francois-maj-apps.png)

## Installation du client pour le bureau

Le client *lourd* pour les environnements de bureau sont disponibles directement depuis le site web de Nextcloud, sur la page [Clients](https://nextcloud.com/clients/). Les clients pour Windows et macOS sont des installations régulières. L'application GNU/Linux par défaut est une AppImage, c'est-à-dire une application portable. 

**Vous voudrez peut-être installer l'application via le système de paquetages de votre distribution en vous référant à la section ci-dessous.**

## Installations pour distributions GNU/Linux

Les distributions basées sur les RPM ont déjà Nextcloud dans leur magasin d'applications. Sinon, pour les autres distributions, voici quelques exemples d'installation.

Ubuntu PPA

```bash
add-apt-repository ppa:nextcloud-devs/client
apt-get update
```

Arch Linux et dérivés

```bash
pacman -Syu nextcloud-client
```

Alpine

```bash
apk add nextcloud-client
```

## Installation du client principal pour Android et iOS et ceux pour les applications

Le client principal et ceux pour les applications sont aussi disponibles directement depuis la page Applications, section Intégration

- [Android](https://apps.nextcloud.com/categories/integration?search=android)
- [iOS](https://apps.nextcloud.com/categories/integration?search=iOS)

## Installation de l'application Nextcloud pour Full Text Search

https://apps.nextcloud.com/apps/fulltextsearch_elasticsearch

## Installation Elasticsearch

```bash
wget -qO - https://artifacts.elastic.co/GPG-KEY-elasticsearch | sudo apt-key add -
sudo apt-get install apt-transport-https openjdk-11-jre-headless
echo "deb https://artifacts.elastic.co/packages/6.x/apt stable main" | sudo tee -a /etc/apt/sources.list.d/elastic-6.x.list
sudo apt-get update && sudo apt-get install elasticsearch
```

```bash
Démarrer le service Elasticsearch
```

```bash
sudo systemctl enable elasticsearch.service
sudo systemctl restart elasticsearch.service
```

## Installation de Kibana sur mon instance Yunohost

```bash
sudo apt-get update && sudo apt-get install kibana
```

```bash
sudo /bin/systemctl daemon-reload
sudo /bin/systemctl enable kibana.service
sudo systemctl start kibana.service
```

```bash
sudo yunohost app install redirect --args "domain=kibana.francoispelletier.org" -l "Kibana"
#Redirect destination path (default: http://127.0.0.1): http://127.0.0.1:5601
#Redirect type [public_302 | public_301 | public_proxy | private_proxy] (default: public_302): private_proxy
```
